Bug 922225 - Missing /sbin/ifconfig and /sbin/route in dependences
Summary: Missing /sbin/ifconfig and /sbin/route in dependences
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iodine
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-15 19:22 UTC by Štefan Gurský
Modified: 2014-01-07 14:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-07 14:34:19 UTC


Attachments (Terms of Use)

Description Štefan Gurský 2013-03-15 19:22:38 UTC
Description of problem:
iodine-server wants to run ifconfig (package net-tools), but its package does not have it in dependencies.

Version-Release number of selected component (if applicable):
Name        : iodine-server
Version     : 0.6.0
Release     : 0.rc1.9.fc18.1
Architecture: x86_64


How reproducible:
Always

Steps to Reproduce:
1. do not have net-tools installed
2. install iodine-server
3. try to start it
  
Actual results:


# LANG=C iodined -D -D -f -P password 10.29.190.1/24 t.example.com

Debug level 2 enabled, will stay in foreground.
Add more -D switches to set higher debug level.
Opened dns0
Setting IP of dns0 to 10.29.190.1
sh: /sbin/ifconfig: No such file or directory


#####
LANG C is so that error message is in english, higher debug level does not help.

Expected results:
tunnel set up

Additional info:
iodine creates command line in tun.c that uses ifconfig to set ip address and uses  system() to run it, so its package should depend on /sbin/ifconfig. It also need /sbin/route (or better it should use ip instead of ifconfig and route).

Comment 1 Pavel Alexeev 2013-04-14 14:05:10 UTC
Thank you for your bugreport and willing make free software better!

Comment 2 Pavel Alexeev 2013-04-14 14:26:18 UTC
Rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5249672

Comment 3 Fedora Update System 2013-04-14 14:41:31 UTC
iodine-0.6.0-0.rc1.10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.10.fc19

Comment 4 Fedora Update System 2013-04-14 14:48:50 UTC
iodine-0.6.0-0.rc1.10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.10.fc18

Comment 5 Fedora Update System 2013-04-21 05:01:56 UTC
iodine-0.6.0-0.rc1.10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-04-27 23:56:47 UTC
iodine-0.6.0-0.rc1.10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora End Of Life 2013-12-21 15:45:27 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.